Foreman - Bug #15038

migrate_foreman error upgrading from 6.1 to 6.2 -> error: users.helptips_enabled does not exist
05/12/2016 09:27 PM - Brad Buckingham

Status: Closed
Priority: Normal
Assignee: Brad Buckingham
Category: Plugin integration
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1335675 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3522
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1335675
Description of problem:

Attempting to upgrade to an early version of Satellite 6.2 Beta (internal build) from 6.1 is resulting in an error during foreman_migrate.
Version-Release number of selected component (if applicable):
Satellite 6.2 Snap 11
How reproducible:
Always
Steps to Reproduce:
1. install Satellite 6.1
2. update packages to Satellite 6.2
3. patch system to include fixes for bug 1334961
4. satellite-installer --scenario satellite --upgrade --force
Actual results:
1. foreman-installer --upgrade
Upgrading...
Upgrade Step: stop_services...
Upgrade Step: start_databases...
Upgrade Step: update_http_conf...
Upgrade Step: migrate_pulp...
Upgrade Step: start_httpd...
Upgrade Step: migrate_candlepin...
Upgrade Step: migrate_foreman...
Upgrade step migrate_foreman failed. Check logs for more information.
Expected results:
No error during the migrate_foreman step.
Additional info:
Note: see attached log for complete installer run.
In the /var/log/foreman-installer/satellite.log, the following is observed:

...[snip]...

PG::Error: ERROR: column users.helptips_enabled does not exist
LINE 1:...word_salt" AS t0_r11, "users"."locale" AS t0_r12, "users"."h...

A

: SELECT "users"."id" AS t0_r0, "users"."login" AS t0_r1, "users"."firstname" AS t0_r2, "users"."lastname" AS t0_r3, "users"."mail" AS
t0_r4, "users"."admin" AS t0_r5, "users"."last_login_on" AS t0_r6, "users"."auth_source_id" AS t0_r7, "users"."created_at" AS t0_r8,
"users"."updated_at" AS t0_r9, "users"."password_hash" AS t0_r10, "users"."password_salt" AS t0_r11, "users"."locale" AS t0_r12,
"users"."helptips_enabled" AS t0_r13, "users"."page_size" AS t0_r14, "users"."disabled" AS t0_r15, "users"."preferences" AS t0_r16,
"users"."remote_id" AS t0_r17, "users"."avatar_hash" AS t0_r18, "users"."default_organization_id" AS t0_r19,
"users"."default_location_id" AS t0_r20, "users"."lower_login" AS t0_r21, "users"."mail_enabled" AS t0_r22, "users"."timezone" AS
t0_r23, "usergroups"."id" AS t1_r0, "usergroups"."name" AS t1_r1, "usergroups"."created_at" AS t1_r2, "usergroups"."updated_at"
AS t1_r3, "usergroups"."admin" AS t1_r4 FROM "users" LEFT OUTER JOIN "cached_usergroup_members" ON
"cached_usergroup_members"."user_id" = "users"."id" LEFT OUTER JOIN "usergroups" ON "usergroups"."id" =
"cached_usergroup_members"."usergroup_id" WHERE (users.admin = 't' OR usergroups.admin ='t) ORDER BY
firstname/opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/connection_adapters/postgresql_adapter.rb:

822:in “exec'
...[snip]...

/usr/share/foreman/db/migrate/20150612105614_rename_taxonomy_ignored_type_to_provisioning_templates.rb:22:in "block in
swap_name'

...[snip]...

Related issues:
Related to Foreman - Bug #14983: Faking host and other models with STI in mig... New 05/10/2016

Associated revisions

Revision 7f6eb352 - 05/16/2016 08:50 AM - Brad Buckingham
Fixes #15038 - reset User cache during migration
This commit will update the cache information about columns

on the User table. This is needed due to errors observed during
certain upgrades involving the Katello plugin.

History

#1 - 05/12/2016 09:28 PM - Brad Buckingham
- Category set to 47

- Assignee set to Brad Buckingham

#2 - 05/12/2016 09:29 PM - Brad Buckingham

- Category changed from 47 to Plugin integration

#3 - 05/12/2016 09:38 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3522 added

#4 - 05/16/2016 08:44 AM - Ivan Necas
- Related to Bug #14983: Faking host and other models with STl in migrations doesn't work due to STI added

#5 - 05/16/2016 10:07 AM - Brad Buckingham
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 7f6eb35270ce5e6126743d06e23adad47fd7cc97.

#6 - 05/17/2016 05:00 AM - Dominic Cleal

- translation missing: en.field_release set to 136
